org.apache.ignite.spi.loadbalancing.roundrobin

## Interface RoundRobinLoadBalancingSpiMBean

All Superinterfaces:
  IgniteSpiManagementMBean

    @MXBeanDescription(value="MBean that provides access to round robin load balancing SPI configuration.")
    public interface RoundRobinLoadBalancingSpiMBean
    extends IgniteSpiManagementMBean

Management bean for `RoundRobinLoadBalancingSpi` SPI.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isPerTask()` Configuration parameter indicating whether a new round robin order should be created for every task.

### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

`getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

### Method Detail

#### isPerTask

    @MXBeanDescription(value="Configuration parameter indicating whether a new round robin order should be created for every task.")
    boolean isPerTask()

Configuration parameter indicating whether a new round robin order should be created for every task. If `true` then load balancer is guaranteed to iterate through nodes sequentially for every task - so as long as number of jobs is less than or equal to the number of nodes, jobs are guaranteed to be assigned to unique nodes. If `false` then one round-robin order will be maintained for all tasks, so when tasks execute concurrently, it is possible for more than one job within task to be assigned to the same node.

Default is `true`.

Returns:
  Configuration parameter indicating whether a new round robin order should be created for every task. Default is `true`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022